Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jprotein.tree.data
Class Node

    java.lang.Object
      java.util.AbstractCollection
          java.util.AbstractList
              java.util.Vector
                  jprotein.tree.data.Leaf
                      jprotein.tree.data.SimpleNode
                          jprotein.tree.data.Node

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, java.lang.Iterable, java.util.Collection, java.util.List, java.util.RandomAccess

    public class Node

extends SimpleNode
implements java.io.Serializable

See Also:
  Serialized Form

Constructor Summary
`Node(Leaf left, Leaf right, double dIJ)`
`Node(Leaf left, Leaf right, double dIJ, double lambda)`

Method Summary

Methods inherited from class jprotein.tree.data.SimpleNode
`equals, getLeftVertice, getRightVertice, goLeft, goRight, initConservedResidue, resetConservedResidue, setLeft, setLeftVertice, setRight, setRightVertice, toString`

Methods inherited from class jprotein.tree.data.Leaf
`addDistance, getBackTrace, getConservedResidue, getDistance, getDoubleDistance, getSequence, getSum, removeDistance, setBackTrace, setConservedResidue, unload`

Methods inherited from class java.util.Vector
`add, add, addAll, addAll, addElement, capacity, clear, clone, contains, containsAll, copyInto, elementAt, elements, ensureCapacity, firstElement, get, hashCode, indexOf, indexOf, insertElementAt, isEmpty, lastElement, lastIndexOf, lastIndexOf, remove, remove, removeAll, removeAllElements, removeElement, removeElementAt, retainAll, set, setElementAt, setSize, size, subList, toArray, toArray, trimToSize`

Methods inherited from class java.util.AbstractList
`iterator, listIterator, listIterator`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.List
`iterator, listIterator, listIterator`

Constructor Detail

### Node

    public Node(Leaf left,
                Leaf right,
                double dIJ)

### Node

    public Node(Leaf left,
                Leaf right,
                double dIJ,
                double lambda)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD